Subject: Re: kernel BUG at drivers/scsi/scsi_lib.c:1096!

From: Laurent Dufour <[email-masked]>
Date: Wed, 18 Nov 2015 12:17:05 +0100

On 18/11/2015 12:10, Michael Ellerman wrote:
> On Wed, 2015-11-18 at 12:06 +0100, Laurent Dufour wrote:
>> On 18/11/2015 10:18, Michael Ellerman wrote:
>>> Hi folks,
>>>
>>> I'm intermittently seeing the following oops on at least one powerpc box.
>>>
>>> The BUG_ON() is from:
>>>
>>> static int scsi_init_sgtable(struct request *req, struct scsi_data_buffer *sdb)
>>> {
>>> 	...
>>> 	count = blk_rq_map_sg(req->q, req, sdb->table.sgl);
>>> 	BUG_ON(count > sdb->table.nents);
>>>
>>> Looking at the dump it looks like count was 2, I can't work out what nents was.
>>>
>>> The machine's just a fairly boring bare metal setup, with a single IPR adapter:
>>>
>>> 0001:08:00.0 RAID bus controller: IBM PCI-E IPR SAS Adapter (ASIC) (rev 02)
>>> 	Subsystem: IBM PCIe3 x8 SAS RAID Internal Adapter 6Gb (57D7)
>>> 	Flags: bus master, fast devsel, latency 0
>>> 	Kernel driver in use: ipr
>>>
>>>
>>> Anyone seen it before or have any ideas?
>>
>> Hi Michael,
>>
>> I'm facing the same panic on my bare metal system.
>>
>> Sounds to be raised by the latest update to 4.4-rc1
> 
> Yeah I think it's new since 4.3.
> 
> Do you see it regularly, or just every now and then?

I got it almost every time I'm stressing the system's memory, but I
can't state if it's tied or not.

I can't remember having seeing it with 4.3, I'll double check that and
getting back to you.

Laurent.